### Function

# GdkWayland.WaylandToplevelExported

#### Declaration

    void
    WaylandToplevelExported (
      GdkToplevel* toplevel,
      const char* handle,
      gpointer user_data
    )

#### Description [src]

Callback that gets called when the handle for a surface has been obtained from the Wayland compositor.

This callback is used in `gdk_wayland_toplevel_export_handle()`.

The `handle` can be passed to other processes, for the purpose of marking surfaces as transient for out-of-process surfaces.

#### Parameters

`toplevel` | `GdkWaylandToplevel`
| the `GdkToplevel` that is exported
| Ownership is not transferred to the callee
`handle` | `const char*`
| the handle
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`user_data` | `gpointer`
| user data that was passed to `gdk_wayland_toplevel_export_handle()`